#include <iostream>
#include <vector>
#include <string>
#include <algorithm>

typedef long long ll;
using namespace std;
int main() {
    ll n,m,k;
    cin>>n>>m>>k;
    cout<<((n+k-1)/k)*((m+k-1)/k);
    return 0;
}
